mir_wayland_generator(1)

NAME
mir_wayland_generator - Generate Mir-style C++ wrappers from a Wayland protocol description

SYNOPSIS
mir_wayland_generator <prefix> <input> <mode>

DESCRIPTION
Generate C++ stubs to make developing the server-side implementation of Wayland protocols easier. mir_wayland_generator expects the following command line input:

    prefix: the name prefix which will be removed, such as 'wl_'; to not use a prefix, use _ or anything that won't match the start of a name

    input: the input xml file path

    mode: 'header' or 'source'

AUTHOR
The Mir Display Server has been written by the Mir Server Team at Canonical Ltd.

This man page has been written for the Debian project by Mike Gabriel <mike.gabriel@das-netzwerkteam.de> and may be re-used by others.